Generátor TOTP / HOTP pre bezpečné jednorazové heslá
Generátor TOTP / HOTP vytvára jednorazové heslá zo zdieľaného tajomstva Base32. TOTP používa aktuálny čas, zatiaľ čo HOTP používa počítadlo. Vyberte 6, 7 alebo 8 číslic, SHA-1, SHA-256 alebo SHA-512 a časovú periódu, napríklad 15, 30 alebo 60 sekúnd. Živý odpočet ukazuje, ako dlho zostáva aktuálny kód TOTP platný.
Generátor TOTP / HOTP vytvára jednorazové heslá používané pri dvojfaktorovej autentifikácii. Podporuje TOTP (RFC 6238), ktorý odvodzuje čerstvý kód z aktuálneho času a zdieľaného tajomstva, a HOTP (RFC 4226), ktorý odvodzuje kód z počítadla. Zdieľané tajomstvo je zakódované ako Base32 (RFC 4648), formát prenášaný QR kódmi pre Google Authenticator.
Na generovanie kódov nástroj používa zdieľané tajomstvo so zvolenými nastaveniami. Môžete vybrať 6, 7 alebo 8 číslic, SHA-1, SHA-256 alebo SHA-512 a periódu TOTP, napríklad 15, 30 alebo 60 sekúnd. Lišta živého odpočtu ukazuje, ako dlho zostáva aktuálny časovo založený kód platný. Výpočty používajú WebCrypto HMAC a prebiehajú lokálne vo vašom prehliadači.
TOTP a HOTP sa líšia hodnotou použitou na odvodenie každého kódu: TOTP používa čas, zatiaľ čo HOTP používa počítadlo. Oba formáty produkujú jednorazové heslá zo zdieľaného tajomstva, ale rozdiel je dôležitý pri testovaní alebo práci s konkrétnym tokom dvojfaktorovej autentifikácie. Použite generátor na prípravu kódov pre testovacie údaje, kontrolu pracovného postupu autentifikátora alebo porovnanie oboch štandardov.
Generátor TOTP / HOTP funguje vo vašom prehliadači a žiadne údaje sa neposielajú na server. Nemá žiadnu závislosť na serveri, takže po načítaní stránky naďalej funguje offline. Je preto užitočný pre vývojárov a DevOps inžinierov, ktorí potrebujú kódy na lokálne testovanie, fixture, dokumentáciu alebo vývojové úlohy bez posielania zdieľaného tajomstva inde.
Krok 1: Zadajte zdieľané tajomstvo vo formáte Base32, kódovanie používané v QR kódoch autentifikátorov.
Krok 2: Nastavte dostupné možnosti: vyberte 6, 7 alebo 8 číslic a SHA-1, SHA-256 alebo SHA-512.
Krok 3: Vyberte časovú periódu pre TOTP, napríklad 15, 30 alebo 60 sekúnd.
Krok 4: Vygenerujte jednorazové heslo a skontrolujte živý odpočet, aby ste videli, ako dlho zostáva aktuálny kód TOTP platný.
Krok 5: Skopírujte hodnoty, ktoré potrebujete pre svoj test, fixture alebo iný pracovný postup.
Prípad použitia: Generujte hodnoty TOTP alebo HOTP pre autentifikačné testy, fixture a seed údaje namiesto ručného písania vzorových kódov.
Prípad použitia: Vytvorte dávku kódov naraz pri príprave testovacích údajov, ako alternatívu k manuálnemu vymýšľaniu hodnôt.
Prípad použitia: Vytvárajte kódy podľa zvoleného štandardu a nastavení namiesto spoliehania sa na odhady zadané na klávesnici.
Prípad použitia: Skontrolujte, ako zdieľané tajomstvo Base32 produkuje jednorazové heslo pri testovaní pracovného postupu autentifikátora.
Prípad použitia: Porovnajte časovo založené kódy TOTP s kódmi HOTP založenými na počítadle pri vývoji alebo ladení dvojfaktorovej autentifikácie.
Prípad použitia: Pripravte vzorové jednorazové heslá pre dokumentáciu, demonštrácie alebo inú vývojovú prácu.